## xrdp 0.4.0~dfsg

=== Makefile ===

DESTDIR = /usr/local/xrdp
CFGDIR = /etc/xrdp
PIDDIR = /var/run
MANDIR = /usr/local/man
DOCDIR = /usr/doc/xrdp

all: world

world: base
	make -C sesman

base:
	make -C vnc
	make -C libxrdp
	make -C xrdp
	make -C rdp
	make -C xup

nopam: base
	make -C sesman nopam
	make -C sesman tools

kerberos: base
	make -C sesman kerberos
	make -C sesman tools

clean:
	make -C vnc clean
	make -C libxrdp clean
	make -C xrdp clean
	make -C rdp clean
	make -C sesman clean
	make -C xup clean

install:
	mkdir -p $(DESTDIR)
	mkdir -p $(CFGDIR)
	mkdir -p $(PIDDIR)
	mkdir -p $(MANDIR)
	mkdir -p $(DOCDIR)
	make -C vnc install
	make -C libxrdp install
	make -C xrdp install
	make -C rdp install
	make -C sesman install
	make -C xup install
	make -C docs install
	if [ -d /etc/pam.d ]; then install instfiles/pam.d/sesman /etc/pam.d/sesman; fi
	install instfiles/xrdp_control.sh $(DESTDIR)/xrdp_control.sh

installdeb:
	mkdir -p $(DESTDIRDEB)/usr/lib/xrdp
	mkdir -p $(DESTDIRDEB)/etc/xrdp
	mkdir -p $(DESTDIRDEB)/etc/pam.d
	mkdir -p $(DESTDIRDEB)/etc/init.d
	mkdir -p $(DESTDIRDEB)/usr/man
	mkdir -p $(DESTDIRDEB)/usr/man/man5
	mkdir -p $(DESTDIRDEB)/usr/man/man8
	make -C vnc installdeb DESTDIRDEB=$(DESTDIRDEB)
	make -C libxrdp installdeb DESTDIRDEB=$(DESTDIRDEB)
	make -C xrdp installdeb DESTDIRDEB=$(DESTDIRDEB)
	make -C rdp installdeb DESTDIRDEB=$(DESTDIRDEB)
	make -C sesman installdeb DESTDIRDEB=$(DESTDIRDEB)
	make -C xup installdeb DESTDIRDEB=$(DESTDIRDEB)
	make -C docs installdeb DESTDIRDEB=$(DESTDIRDEB)
	install instfiles/pam.d/sesman $(DESTDIRDEB)/etc/pam.d/sesman
	install instfiles/xrdp_control1.sh $(DESTDIRDEB)/etc/init.d/xrdp_control.sh

=== docs/Makefile ===

DESTDIR = /usr/local/xrdp
CFGDIR = /etc/xrdp
PIDDIR = /var/run
MANDIR = /usr/local/man
DOCDIR = /usr/doc/xrdp

all: world

world:

install:

installdeb:
	install man/sesman.8 $(DESTDIRDEB)/usr/man/man8/sesman.8
	install man/sesrun.8 $(DESTDIRDEB)/usr/man/man8/sesrun.8
	install man/xrdp.8 $(DESTDIRDEB)/usr/man/man8/xrdp.8
	install man/sesman.ini.5 $(DESTDIRDEB)/usr/man/man5/sesman.ini.5
	install man/xrdp.ini.5 $(DESTDIRDEB)/usr/man/man5/xrdp.ini.5

=== libxrdp/Makefile ===
# libxrdp makefile
LIBXRDPOBJ = libxrdp.o xrdp_tcp.o xrdp_iso.o xrdp_mcs.o \
             xrdp_sec.o xrdp_rdp.o xrdp_orders.o \
             xrdp_bitmap_compress.o xrdp_channel.o \
             os_calls.o ssl_calls.o file.o

DESTDIR = /usr/local/xrdp
CFGDIR = /etc/xrdp
PIDDIR = /var/run
MANDIR = /usr/local/man
DOCDIR = /usr/doc/xrdp

DEFINES = -DXRDP_CFG_FILE=\"$(CFGDIR)/xrdp.ini\" \
          -DXRDP_KEY_FILE=\"$(CFGDIR)/rsakeys.ini\"

CFLAGS = -Wall -O2 -I../common -fPIC $(DEFINES)
#CFLAGS += -DXRDP_DEBUG
C_OS_FLAGS = $(CFLAGS) -c
LDFLAGS = -shared
LIBS = -ldl
LIBS += -lcrypto
CC = gcc

all: libxrdp

static: $(LIBXRDPOBJ)
	$(AR) rvu libxrdp.a $(LIBXRDPOBJ)
	ranlib libxrdp.a

libxrdp: $(LIBXRDPOBJ)
	$(CC) $(LDFLAGS) -o libxrdp.so $(LIBXRDPOBJ) $(LIBS)

clean:
	rm -f $(LIBXRDPOBJ) libxrdp.a libxrdp.so

install:
	install libxrdp.so $(DESTDIR)/libxrdp.so

installdeb:
	install libxrdp.so $(DESTDIRDEB)/usr/lib/xrdp/libxrdp.so

file.o: ../common/file.c
	$(CC) $(C_OS_FLAGS) ../common/file.c

os_calls.o: ../common/os_calls.c
	$(CC) $(C_OS_FLAGS) ../common/os_calls.c


ssl_calls.o: ../common/ssl_calls.c
	$(CC) $(C_OS_FLAGS) ../common/ssl_calls.c

=== rdp/Makefile ===
# librdp makefile
RDPOBJ = ssl_calls.o os_calls.o rdp.o rdp_tcp.o rdp_iso.o rdp_mcs.o rdp_sec.o \
         rdp_orders.o rdp_bitmap.o rdp_rdp.o rdp_lic.o

DESTDIR = /usr/local/xrdp
CFGDIR = /etc/xrdp
PIDDIR = /var/run
MANDIR = /usr/local/man
DOCDIR = /usr/doc/xrdp

DEFINES =

CFLAGS = -Wall -O2 -I../common -fPIC $(DEFINES)
#CFLAGS += -DXRDP_DEBUG
C_OS_FLAGS = $(CFLAGS) -c
LDFLAGS = -shared
LIBS = -ldl
LIBS += -lcrypto
CC = gcc

all: rdp

rdp: $(RDPOBJ)
	$(CC) $(LDFLAGS) -o librdp.so $(RDPOBJ) $(LIBS)

clean:
	rm -f $(RDPOBJ) librdp.so

os_calls.o: ../common/os_calls.c
	$(CC) $(C_OS_FLAGS) ../common/os_calls.c

ssl_calls.o: ../common/ssl_calls.c
	$(CC) $(C_OS_FLAGS) ../common/ssl_calls.c

install:
	install librdp.so $(DESTDIR)/librdp.so

installdeb:
	install librdp.so $(DESTDIRDEB)/usr/lib/xrdp/librdp.so

=== sesman/Makefile ===
# sesman makefile

SESMANOBJ = sesman.o config.o sig.o session.o env.o \
            os_calls.o d3des.o list.o file.o log.o access.o \
            scp.o scp_v0.o scp_v1.o thread.o lock.o

SESSVCOBJ = sessvc.o os_calls.o

DESTDIR = /usr/local/xrdp
CFGDIR = /etc/xrdp
PIDDIR = /var/run
MANDIR = /usr/local/man
DOCDIR = /usr/doc/xrdp

DEFINES = -DSESMAN_CFG_FILE=\"$(CFGDIR)/sesman.ini\" \
	  -DSESMAN_PID_FILE=\"$(PIDDIR)/sesman.pid\" \
	  -DSESMAN_SESSVC_FILE=\"sessvc\"

CFLAGS = -Wall -O2 -I../common -I/usr/include/nptl -I./libscp $(DEFINES)
LDFLAGS = -L/usr/gnu/lib -L/usr/lib/nptl -L./libscp -Wl,-rpath,. -lpthread -ldl -lscp
C_OS_FLAGS = $(CFLAGS) -c
CC = gcc

all: libscp_ pam tools

nopam: libscp_ no-pam tools

kerberos: libscp_ kerberos-base tools

no-pam: $(SESMANOBJ) verify_user.o
	$(CC) $(LDFLAGS) -o sesman $(SESMANOBJ) verify_user.o -lcrypt

pam: $(SESMANOBJ) verify_user_pam.o
	$(CC) $(LDFLAGS) -o sesman $(SESMANOBJ) verify_user_pam.o -lpam

pam_userpass: $(SESMANOBJ) verify_user_pam_userpass.o
	$(CC) $(LDFLAGS) -o sesman $(SESMANOBJ) verify_user_pam_userpass.o -lpam -lpam_userpass

kerberos-base: $(SESMANOBJ) verify_user_kerberos.o
	$(CC) $(LDFLAGS) -o sesman $(SESMANOBJ) verify_user_kerberos.o -lkrb5

sessvc: $(SESSVCOBJ)
	$(CC) $(LDFLAGS) -o sessvc $(SESSVCOBJ) 

tools: sessvc
	make -C tools

libscp_:
	make -C libscp

clean:
	rm -f $(SESMANOBJ) verify_user.o verify_user_pam.o verify_user_pam_userpass.o sesman sesrun.o sesrun sessvc.o sessvc
	make -C tools clean
	make -C libscp clean

install:
	install sesman $(DESTDIR)/sesman
	install startwm.sh $(DESTDIR)/startwm.sh
	install sesman.ini $(CFGDIR)/sesman.ini
	install sessvc $(DESTDIR)/sessvc
	make -C tools install
	make -C libscp install

installdeb:
	install sesman $(DESTDIRDEB)/usr/lib/xrdp/sesman
	install startwm.sh $(DESTDIRDEB)/usr/lib/xrdp/startwm.sh
	install sesman.ini $(DESTDIRDEB)/etc/xrdp/sesman.ini

os_calls.o: ../common/os_calls.c
	$(CC) $(C_OS_FLAGS) ../common/os_calls.c

d3des.o: ../common/d3des.c
	$(CC) $(C_OS_FLAGS) ../common/d3des.c

list.o: ../common/list.c
	$(CC) $(C_OS_FLAGS) ../common/list.c

file.o: ../common/file.c
	$(CC) $(C_OS_FLAGS) ../common/file.c

log.o: ../common/log.c
	$(CC) $(C_OS_FLAGS) -DLOG_ENABLE_THREAD ../common/log.c

=== vnc/Makefile ===
# libvnc makefile

VNCOBJ = vnc.o os_calls.o d3des.o

DESTDIR = /usr/local/xrdp
CFGDIR = /etc/xrdp
PIDDIR = /var/run
MANDIR = /usr/local/man
DOCDIR = /usr/doc/xrdp

DEFINES =

CFLAGS = -Wall -O2 -I../common -fPIC $(DEFINES)
C_OS_FLAGS = $(CFLAGS) -c -g
LDFLAGS = -shared
LIBS = -ldl
CC = gcc

all: vnc

vnc: $(VNCOBJ)
	$(CC) $(LDFLAGS) -o libvnc.so $(VNCOBJ) $(LIBS)

clean:
	rm -f $(VNCOBJ) libvnc.so

os_calls.o: ../common/os_calls.c
	$(CC) $(C_OS_FLAGS) ../common/os_calls.c

d3des.o: ../common/d3des.c
	$(CC) $(C_OS_FLAGS) ../common/d3des.c

install:
	install libvnc.so $(DESTDIR)/libvnc.so

installdeb:
	install libvnc.so $(DESTDIRDEB)/usr/lib/xrdp/libvnc.so

=== xrdp/Makefile ===
# xrdp makefile
XRDPOBJ = xrdp.o xrdp_process.o xrdp_listen.o \
          xrdp_bitmap.o xrdp_wm.o xrdp_painter.o \
          xrdp_region.o xrdp_cache.o xrdp_font.o funcs.o \
          xrdp_login_wnd.o lang.o \
          list.o file.o os_calls.o thread_calls.o \
          xrdp_mm.o

DESTDIR = /usr/local/xrdp
CFGDIR = /etc/xrdp
PIDDIR = /var/run
MANDIR = /usr/local/man
DOCDIR = /usr/doc/xrdp

DEFINES = -DXRDP_CFG_FILE=\"$(CFGDIR)/xrdp.ini\" \
          -DXRDP_PID_FILE=\"$(PIDDIR)/xrdp.pid\"

CFLAGS = -Wall -O2 -I../common -I../libxrdp $(DEFINES)
#CFLAGS += -DXRDP_DEBUG
C_OS_FLAGS = $(CFLAGS) -c
LDFLAGS = -L/usr/gnu/lib -L../libxrdp -Wl,-rpath,.
LIBS = -ldl -lpthread -lxrdp
CC = gcc

all: xrdp

xrdp: $(XRDPOBJ)
	$(CC) $(LDFLAGS) -o xrdp $(XRDPOBJ) $(LIBS)

clean:
	rm -f $(XRDPOBJ) xrdp

install:
	install ad256.bmp $(DESTDIR)/ad256.bmp
	install xrdp256.bmp $(DESTDIR)/xrdp256.bmp
	install cursor0.cur $(DESTDIR)/cursor0.cur
	install cursor1.cur $(DESTDIR)/cursor1.cur
	install Tahoma-10.fv1 $(DESTDIR)/Tahoma-10.fv1
	install xrdp.ini $(CFGDIR)/xrdp.ini
	install rsakeys.ini $(CFGDIR)/rsakeys.ini
	install xrdp $(DESTDIR)/xrdp

installdeb:
	install ad256.bmp $(DESTDIRDEB)/usr/lib/xrdp/ad256.bmp
	install xrdp256.bmp $(DESTDIRDEB)/usr/lib/xrdp/xrdp256.bmp
	install cursor0.cur $(DESTDIRDEB)/usr/lib/xrdp/cursor0.cur
	install cursor1.cur $(DESTDIRDEB)/usr/lib/xrdp/cursor1.cur
	install Tahoma-10.fv1 $(DESTDIRDEB)/usr/lib/xrdp/Tahoma-10.fv1
	install xrdp.ini $(DESTDIRDEB)/etc/xrdp/xrdp.ini
	install rsakeys.ini $(DESTDIRDEB)/etc/xrdp/rsakeys.ini
	install xrdp $(DESTDIRDEB)/usr/lib/xrdp/xrdp

list.o: ../common/list.c
	$(CC) $(C_OS_FLAGS) ../common/list.c

file.o: ../common/file.c
	$(CC) $(C_OS_FLAGS) ../common/file.c

os_calls.o: ../common/os_calls.c
	$(CC) $(C_OS_FLAGS) ../common/os_calls.c

thread_calls.o: ../common/thread_calls.c
	$(CC) $(C_OS_FLAGS) ../common/thread_calls.c

=== xup/Makefile ===
# libxup makefile

XUPOBJ = os_calls.o xup.o

DESTDIR = /usr/local/xrdp
CFGDIR = /etc/xrdp
PIDDIR = /var/run
MANDIR = /usr/local/man
DOCDIR = /usr/doc/xrdp

DEFINES =

CFLAGS = -Wall -O2 -I../common -fPIC $(DEFINES)
#CFLAGS += -DXRDP_DEBUG
C_OS_FLAGS = $(CFLAGS) -c
LDFLAGS = -shared
LIBS = -ldl
CC = gcc

all: xup

xup: $(XUPOBJ)
	$(CC) $(LDFLAGS) -o libxup.so $(XUPOBJ) $(LIBS)

clean:
	rm -f $(XUPOBJ) libxup.so

os_calls.o: ../common/os_calls.c
	$(CC) $(C_OS_FLAGS) ../common/os_calls.c

install:
	install libxup.so $(DESTDIR)/libxup.so

installdeb:
	install libxup.so $(DESTDIRDEB)/usr/lib/xrdp/libxup.so

=== sesman/libscp/Makefile ===
# libscp makefile
LIBSCPOBJ = libscp_vX.o libscp_v0.o \
	    libscp_v1s.o libscp_v1c.o \
	    libscp_init.o libscp_lock.o libscp_tcp.o \
	    os_calls.o

DESTDIR = /usr/local/xrdp
CFGDIR = /etc/xrdp
PIDDIR = /var/run
MANDIR = /usr/local/man
DOCDIR = /usr/doc/xrdp

DESTDIRDEB = /tmp

LIBSCPLNAME = libscp.so

DEFINES = -DSESMAN_CFG_FILE=\"$(CFGDIR)/sesman.ini\" \
	  -DSESMAN_PID_FILE=\"$(PIDDIR)/sesman.pid\" \
	  -DSESMAN_SESSVC_FILE=\"sessvc\"

CFLAGS = -Wall -O2 -I../../common -I/usr/include/nptl -fPIC $(DEFINES)
LDFLAGS = -shared -L/usr/gnu/lib -L/usr/lib/nptl -lpthread
C_OS_FLAGS = $(CFLAGS) -c
CC = gcc

all: $(LIBSCPOBJ)
	$(CC) $(LDFLAGS) -o $(LIBSCPLNAME) $(LIBSCPOBJ)

clean:
	rm -f $(LIBSCPOBJ) $(LIBSCPLNAME)

install:
	install $(LIBSCPLNAME) $(DESTDIR)/$(LIBSCPLNAME)

installdeb:
	install $(LIBSCPLNAME) $(DESTDIRDEB)/usr/lib/xrdp/$(LIBSCPLNAME)

os_calls.o: ../../common/os_calls.c
	$(CC) $(C_OS_FLAGS) ../../common/os_calls.c

=== sesman/tools/Makefile ===
# sesman tools makefile
SESTESTOBJ = sestest.o \
	     os_calls.o

SESRUNOBJ = sesrun.o config.o tcp.o \
	    os_calls.o d3des.o list.o file.o log.o

DESTDIR = /usr/local/xrdp
CFGDIR = /etc/xrdp
PIDDIR = /var/run
MANDIR = /usr/local/man
DOCDIR = /usr/doc/xrdp

DEFINES = -DLIBSCP_CLIENT

CFLAGS = -Wall -O2 -I../../common -I../ -I/usr/include/nptl -I../libscp $(DEFINES)
LDFLAGS = -L/usr/gnu/lib -L/usr/lib/nptl -L../libscp -Wl,-rpath,. -lpthread -ldl -lscp
C_OS_FLAGS = $(CFLAGS) -c
CC = gcc

all: stest srun

stest: $(SESTESTOBJ)
	$(CC) $(LDFLAGS) -o sestest $(SESTESTOBJ)

srun: $(SESRUNOBJ)
	$(CC) $(LDFLAGS) -o sesrun $(SESRUNOBJ)

os_calls.o: ../../common/os_calls.c
	$(CC) $(C_OS_FLAGS) ../../common/os_calls.c

list.o: ../../common/list.c
	$(CC) $(C_OS_FLAGS) ../../common/list.c

file.o: ../../common/file.c
	$(CC) $(C_OS_FLAGS) ../../common/file.c

log.o: ../../common/log.c
	$(CC) $(C_OS_FLAGS) ../../common/log.c

d3des.o: ../../common/d3des.c
	$(CC) $(C_OS_FLAGS) ../../common/d3des.c

config.o: ../config.c
	$(CC) $(C_OS_FLAGS) ../config.c

clean:
	rm -f *.o sestest sesrun

install:
	install sesrun $(DESTDIR)/sesrun
	install sestest $(DESTDIR)/sestest

installdeb:
	install sesrun $(DESTDIRDEB)/usr/lib/xrdp/sesrun
	install sestest $(DESTDIRDEB)/usr/lib/xrdp/sestest

## xrdp 0.5.0~20100303cvs

=== debian/changelog ===
xrdp (0.5.0~20100303cvs-6ubuntu1) natty; urgency=low

  * debian/rules: Add -lpthread to LDFLAGS, fixes FTBFS.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 22 Oct 2010 21:17:27 +0200

xrdp (0.5.0~20100303cvs-6) unstable; urgency=low

  * Add a patch to fix Alt-Gr issues with Windows TS client.
    Closes: #584666.
  * Bump Standards-Version to 3.9.1.

 -- Vincent Bernat <bernat@debian.org>  Wed, 11 Aug 2010 18:47:30 +0200

xrdp (0.5.0~20100303cvs-5) unstable; urgency=low

  * Rewrite of init.d by Javier Fernández-Sanguino Peña to be LSB
    compliant. Closes: #589757.
  * Bump Standards-Version to 3.9.0.

 -- Vincent Bernat <bernat@debian.org>  Sat, 24 Jul 2010 16:40:34 +0200

xrdp (0.5.0~20100303cvs-4) unstable; urgency=low

  * Add a patch to fall back to US keymap if the correct keymap is not
    found in /etc/xrdp. Closes: #575477.

 -- Vincent Bernat <bernat@debian.org>  Sat, 01 May 2010 20:09:05 +0200

xrdp (0.5.0~20100303cvs-3) unstable; urgency=low

  * Ensure that /var/run/xrdp is owned by xrdp:xrdp. Closes: #575438.

 -- Vincent Bernat <bernat@debian.org>  Thu, 25 Mar 2010 21:25:52 +0100

xrdp (0.5.0~20100303cvs-2) unstable; urgency=low

  * Allow to reuse an existing session, thanks to a patch from Daniel
    Baumann. Closes: #573258.

 -- Vincent Bernat <bernat@debian.org>  Wed, 10 Mar 2010 22:08:30 +0100

xrdp (0.5.0~20100303cvs-1) unstable; urgency=low

  * New upstream release (0.5.0) from CVS repository.
     + Upstream now provide a free font, therefore, we use pristine
       sources and we can drop 01sans_font.dpatch.
     + Drop most of the other patchs since they have been merged upstream.
     + Windows 7 RDP client can now connect. Closes: #572764.
     + Session selection is now available. Closes: #523281.
     + Mapping problems seems to be fixed. Closes: #483365.
     + No more unneeded awakening. Closes: #447377.
  * Bump Standards-Version to 3.8.4.
  * Switch to 3.0 (quilt) format.
  * Switch to debhelper 7.
  * Fix path to xrdp and xrdp-sesman in init.d script.
  * Drop debian/watch, we use a CVS version.
  * Build-Depends on libx*-dev since it is now requested by configure.

 -- Vincent Bernat <bernat@debian.org>  Mon, 08 Mar 2010 21:27:35 +0100

xrdp (0.4.1~dfsg-2) unstable; urgency=low

  * Don't chown /var/run/xrdp in postinst since it is done in init.d but
    create it to not rely on adduser doing it.

 -- Vincent Bernat <bernat@debian.org>  Sun, 27 Sep 2009 09:20:56 +0200

xrdp (0.4.1~dfsg-1) unstable; urgency=low

  * Package xrdp 0.4.1. Remove 09vista_mstc.dpatch and
    10mono_cursor.dpatch since they were included upstream. This new
    version happens to fix LDAP login.  Closes: #547999, #548002. LP: #429637.
  * Export locale settings from /etc/default/locale, thanks to a
    suggestion from Alessandro Vietta. Closes: #528032.
  * Fix a bus error on ARM, thanks to a patch from Sven-Ola
    Tuecke. Closes: #544384.
  * Update Standards-Version to 3.8.3. No changes required.
  * Don't ship /var/run/xrdp since it is created in init.d.

 -- Vincent Bernat <bernat@debian.org>  Sat, 26 Sep 2009 17:37:20 +0200

xrdp (0.4.0~dfsg-9) unstable; urgency=high

  * Fix CVE-2008-5902 and CVE-2008-5904 with the help of patches proposed
    by Ondrej Kolacek. The patch fixing CVE-2008-5902 also happens to fix
    CVE-2008-5903 by checking boundary before calling add_char_at(). This
    closes: #511641.
  * Really add patch to fix monochrome cursor issue.
  * Also updates Standards-Version and add ${misc:Depends} macro.
  * Don't use Pa macro in xrdp-keygen manual page.

 -- Vincent Bernat <bernat@debian.org>  Fri, 23 Jan 2009 21:29:14 +0100

xrdp (0.4.0~dfsg-8) unstable; urgency=low

  * Add a patch to fix monochrome cursor issue

 -- Vincent Bernat <bernat@debian.org>  Tue, 03 Jun 2008 00:17:16 +0200

xrdp (0.4.0~dfsg-7) unstable; urgency=medium

  * Due to OpenSSL weak random number generator, rsakeys.ini contains weak
    keys. We remove them on upgrade without any warning since they are not
    checked by any client.

 -- Vincent Bernat <bernat@debian.org>  Wed, 21 May 2008 06:49:20 +0200

xrdp (0.4.0~dfsg-6) unstable; urgency=low

  * Add Vcs-* fields to debian/control
  * Convert debian/copyright to machine-readable format (Closes: #469074)
  * Add a patch to support Visa SP1 mstc application, thanks to Jay Sorg

 -- Vincent Bernat <bernat@debian.org>  Thu, 08 May 2008 22:31:41 +0200

xrdp (0.4.0~dfsg-5) unstable; urgency=low

  * Package sessvc which was left out (Closes: #465210).
  * Sleep a bit after stopping so that xrdp can be restarted on upgrade.
  * Add an option in /etc/default/xrdp to avoid to restart xrdp on
    upgrade, thanks to a suggestion from Ola Lundqvist (Closes: #472186).

 -- Vincent Bernat <bernat@luffy.cx>  Wed, 26 Mar 2008 20:45:12 +0100

xrdp (0.4.0~dfsg-4) unstable; urgency=low

  * Add a patch to fix missing keys in fr and de layout. Layout
    enhancements are welcome! (Closes: #440912)
  * Bump Standards-Version to 3.7.3
  * Add XS-DM-Upload field to debian/control

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 02 Feb 2008 00:53:59 +0100

xrdp (0.4.0~dfsg-3) unstable; urgency=low

  * Delete user and group on purge.
  * Do not delete xrdp user on postinst if it exists, thanks to Trent
    W. Buck (Closes: #435671).
  * Provide a more generic PAM configuration file.
  * Run sesman as root to allow him to use PAM properly (Closes: #435667).
  * Fix file paths in man pages.

 -- Vincent Bernat <bernat@luffy.cx>  Sun, 05 Aug 2007 20:33:55 +0200

xrdp (0.4.0~dfsg-2) unstable; urgency=low

  * Includes a keygen utility from CVS to generate a fresh keypair on
    first start and ensure that permissions are correct. (Closes: #435076).
  * Removes redundant "open source" mention in description, thanks to Josh
    Triplett (Closes: #435061).
  * Add a watch file
  * Now running the daemon as xrdp user

 -- Vincent Bernat <bernat@luffy.cx>  Sun, 29 Jul 2007 13:05:46 +0200

xrdp (0.4.0~dfsg-1) unstable; urgency=low



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

LDFLAGS = -lpthread

override_dh_auto_configure:
	./bootstrap
	./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
	find -name Makefile | while read i; do sed -e 's#\(XRDP_PID_PATH.*/run\)#\1/xrdp#g' -i "$$i"; done

override_dh_makeshlibs:
	dh_makeshlibs -a -n
override_dh_installman:
	dh_installman -a debian/xrdp-keygen.8
override_dh_installpam:
	dh_installpam --name=sesman
	rm debian/xrdp/etc/pam.d/xrdp-sesman

override_dh_installdeb:
	# Clean up some files
	rm debian/xrdp/etc/xrdp/xrdp.sh
	rm debian/xrdp/usr/lib/xrdp/*a
	rm debian/xrdp/usr/bin/xrdp-sestest
	# Use our own startwm.sh
	install -m 755 debian/startwm.sh debian/xrdp/etc/xrdp
	# Move rsakeys to documentation
	mv debian/xrdp/etc/xrdp/rsakeys.ini debian/xrdp/usr/share/doc/xrdp
	dh_installdeb -a

## xrdp 0.5.0

=== Xserver/hw/rdp/Makefile ===

OBJS = rdpmain.o rdpdraw.o rdpinput.o rdpmisc.o rdpup.o miinitext.o

CFLAGS = -O2 -fno-strength-reduce -ansi -pedantic
CFLAGS += -I. -I../../../../exports/include/X11
CFLAGS += -I../../../../include/fonts
CFLAGS += -I../../../../exports/include/X11
CFLAGS += -I../../cfb -I../../mfb -I../../mi
CFLAGS += -I../../include -I../../os
CFLAGS += -I../../../../../include
CFLAGS += -I/usr/local/include
CFLAGS += -I../../../.././ -I../../../../exports/include
CFLAGS += -I../../../../include/extensions
CFLAGS += -I../../dbe
CFLAGS += -I../../record
CFLAGS += -I../../render
CFLAGS += -Dlinux -D__i386__
CFLAGS += -D_POSIX_C_SOURCE=199309L
CFLAGS += -D_POSIX_SOURCE -D_XOPEN_SOURCE=500L
CFLAGS += -D_BSD_SOURCE -D_SVID_SOURCE -D_REENTRANT

CFLAGS += -DSHAPE -DBIGREQS -DGLXEXT -DGLX_USE_MESA -DMITMISC -DXTEST
CFLAGS += -DPANORAMIX -DRANDR -DRENDER -DXCMISC -DXSYNC -DXRECORD

CFLAGS += -D_GNU_SOURCE -DLBX -DXAPPGROUP -DXCSECURITY -DTOGCUP
CFLAGS += -DXF86BIGFONT -DDPMSExtension -DSINGLEDEPTH -DXvExtension
CFLAGS += -DXFree86Server -DXvMCExtension -DSMART_SCHEDULE -DXResExtension
CFLAGS += -DX_BYTE_ORDER=X_LITTLE_ENDIAN -DXTRAP -DMITSHM -DDBE -DEVI
CFLAGS += -DSCREENSAVER -DXV -DXVMC -DFONTCACHE

#CFLAGS += -DXINPUT -DXKB

CFLAGS += -DGCCUSESGAS -DSTATIC_COLOR -DAVOID_GLYPHBLT -DPIXPRIV
CFLAGS += -DNDEBUG -DFUNCPROTO=15 -DNARROWPROTO -DDDXOSINIT
CFLAGS += -DSERVER_LOCK -DDDXOSFATALERROR -DPART_NET

CFLAGS += -DDDXTIME
CFLAGS += -D_HAVE_XALLOC_DECLS

#CFLAGS += -DXVNCRELEASE=\"tight1.2.9\"

all: rdp

rdp: $(OBJS)
	$(AR) rvu librdp.a $(OBJS)
	ranlib librdp.a

clean:
	rm -f $(OBJS) librdp.a


miinitext.o: ../../mi/miinitext.c
	$(CC) $(CFLAGS) -c ../../mi/miinitext.c

=== debian/changelog ===
xrdp (0.5.0-2+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian LTS team.
  * Fix regression added by CVE-2017-16927 patch. Thanks for Frank Richter for
    the report and the patch.

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 12 Dec 2017 11:42:09 -0200

xrdp (0.5.0-2+deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian LTS team.
  * Fix CVE-2017-16927: The scp_v0s_accept function in
    sesman/libscp/libscp_v0.c in the session manager in xrdp uses an untrusted
    integer as a write length, which allows local users to cause a denial of
    service (buffer overflow and application crash) or possibly have
    unspecified other impact via a crafted input stream.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 27 Nov 2017 16:57:57 -0200

xrdp (0.5.0-2+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2017-6967:
    xrdp calls the PAM function auth_start_session() in an incorrect location,
    leading to PAM session modules not being properly initialized, with a
    potential consequence of incorrect configurations or elevation of
    privileges, aka a pam_limits.so bypass.

 -- Markus Koschany <apo@debian.org>  Mon, 27 Mar 2017 08:49:09 +0200

xrdp (0.5.0-2) unstable; urgency=low

  * Remove sesman logs on purge. Closes: #656212.
  * Don't create /var/log/sesman.log in postinst. sesman is now able to
    create it.
  * Don't create Unix socket in /tmp. Put them in /var/run/xrdp.
    Closes: #656210.
  * Bump Standards-Version to 3.9.2.

 -- Vincent Bernat <bernat@debian.org>  Sun, 22 Jan 2012 13:14:11 +0100

xrdp (0.5.0-1) unstable; urgency=low

  * New upstream version.
     + This version also happens to fix linking problems. Closes: #615803.
  * Support for some non-US keyboards whose keycodes may be greater than
    128 with a patch from Sasajima. Closes: #610961.

 -- Vincent Bernat <bernat@debian.org>  Sun, 18 Sep 2011 20:38:04 +0200

=== debian/control ===
Source: xrdp
Section: net
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libssl-dev, libpam0g-dev,
	       autoconf (>= 2.59), automake (>= 1.6), libtool,
	       libx11-dev, libxfixes-dev
Standards-Version: 3.9.2
Homepage: http://xrdp.sourceforge.net
Vcs-Browser: http://git.debian.org/?p=collab-maint/xrdp.git
Vcs-Git: git://git.debian.org/git/collab-maint/xrdp.git

Package: xrdp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Recommends: vnc4server | tightvncserver | vnc-server
Description: Remote Desktop Protocol (RDP) server
 Based on research work by the rdesktop project, xrdp uses the Remote
 Desktop Protocol to present a graphical login to a remote client.
 xrdp can connect to a VNC server or another RDP server.
 .
 Microsoft Windows users can connect to a system running xrdp without
 installing additional software.

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 
 %:
 	dh $@
-
-LDFLAGS = -lpthread
 
 override_dh_auto_configure:
 	./bootstrap

## xrdp 0.6.0

=== debian/changelog ===
xrdp (0.6.0-1ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Fixes a VNC security issue where the VNC password file is
    based on the user password.
    - debian/patches/CVE-2013-1430-1.patch: sesman: change vnc password file
      to guid
    - debian/patches/CVE-2013-1430-2.patch: sesman: work on guid / vnc
      password file
    - debian/patches/CVE-2013-1430-3.patch: xrdp,vnc: work on guid / vnc
      password file
    - debian/patches/CVE-2013-1430-4.patch: xrdp,vnc: password fixes
    - debian/patches/CVE-2013-1430-5.patch: vnc: add const and comments to
      rfbEncryptBytes
    - debian/patches/CVE-2013-1430-6.patch: sesman, xrdp: const, spacing
      changes
    - CVE-2013-1430

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Fri, 21 Dec 2018 11:30:15 -0200

xrdp (0.6.0-1) unstable; urgency=low

  * New upstream version. Closes: #687039.
  * Drop 07-unix-socks-in-var-run.patch: upstream now creates a dedicated
    directory for Unix sockets in /tmp (with mkdtemp).
  * Drop the following patches, applied upstream:
      + alt-gr-fix.patch
      + keycode-fix.patch
  * Bump Standards-Version to 3.9.3.
  * Enable hardening.

 -- Vincent Bernat <bernat@debian.org>  Sat, 29 Sep 2012 13:00:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: xrdp
 Section: net
 Priority: optional
-Maintainer: Vincent Bernat <bernat@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Bernat <bernat@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libssl-dev, libpam0g-dev,
 	       autoconf (>= 2.59), automake (>= 1.6), libtool,
-	       libx11-dev, libxfixes-dev
-Standards-Version: 3.9.2
+	       libx11-dev, libxfixes-dev, libfreerdp-dev, pkg-config
+Standards-Version: 3.9.3
 Homepage: http://xrdp.sourceforge.net
 Vcs-Browser: http://git.debian.org/?p=collab-maint/xrdp.git
 Vcs-Git: git://git.debian.org/git/collab-maint/xrdp.git

## xrdp 0.6.1

=== debian/changelog ===
xrdp (0.6.1-2ubuntu0.3) xenial-security; urgency=medium

  * SECURITY REGRESSION: Fix conection problem (LP: #1811122).

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Wed, 16 Jan 2019 22:26:35 -0200

xrdp (0.6.1-2ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Fixes a VNC security issue where the VNC password file is
    based on the user password.
    - debian/patches/CVE-2013-1430-1.patch: sesman: change vnc password file
      to guid
    - debian/patches/CVE-2013-1430-2.patch: sesman: work on guid / vnc
      password file
    - debian/patches/CVE-2013-1430-3.patch: xrdp,vnc: work on guid / vnc
      password file
    - debian/patches/CVE-2013-1430-4.patch: xrdp,vnc: password fixes
    - debian/patches/CVE-2013-1430-5.patch: vnc: add const and comments to
      rfbEncryptBytes
    - debian/patches/CVE-2013-1430-6.patch: sesman, xrdp: const, spacing
      changes
    - CVE-2013-1430

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Tue, 08 Jan 2019 10:11:52 -0200

xrdp (0.6.1-2) unstable; urgency=medium

  [ Johannes Schauer ]
  * Check for libtoolize rather than libtool. Closes: #761793

  [ Vincent Bernat ]
  * Upload to unstable.
  * Bump Standards-Version to 3.9.6.

 -- Vincent Bernat <bernat@debian.org>  Tue, 07 Oct 2014 21:35:25 +0200

xrdp (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Add Norvegian keyboard definition, thanks to Dag-Erling
    Smørgrav. Closes: #709588
  * Use /etc/xrdp/km-default.ini as a fallback for keyboard definition
    before trying `en-US`. Patch from Petter Reinholdtsen. Closes: #709590.
  * Drop session reuse patch which was integrated upstream. Closes: #710007.
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.5.
  * Add Lintian overrides for missing manual pages.

 -- Vincent Bernat <bernat@debian.org>  Sat, 18 Jan 2014 14:50:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libssl-dev, libpam0g-dev,
+Build-Depends: debhelper (>= 9), libssl-dev, libpam0g-dev,
 	       autoconf (>= 2.59), automake (>= 1.6), libtool,
 	       libx11-dev, libxfixes-dev, libfreerdp-dev, pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://xrdp.sourceforge.net
-Vcs-Browser: http://git.debian.org/?p=collab-maint/xrdp.git
-Vcs-Git: git://git.debian.org/git/collab-maint/xrdp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xrdp.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/xrdp.git
 
 Package: xrdp
 Architecture: any

=== debian/watch ===
# CVS version, no watch file available.

## xrdp 0.9.0~20160601+git703fedd

=== xorg/X11R7.6/rdp/Makefile ===

#X11RDPBASE is an environment variable that needs to be set

INCBASE = $(X11RDPBASE)/include
LIBBASE = $(X11RDPBASE)/lib

INSTALL = /usr/bin/install -c
XSRCBASE = ../build_dir/xorg-server-1.9.3

OBJS = rdpmain.o rdpdraw.o rdpinput.o rdpmisc.o rdpup.o rdprandr.o \
rdpCopyArea.o rdpPolyFillRect.o rdpPutImage.o rdpPolyRectangle.o \
rdpPolylines.o rdpPolySegment.o rdpFillSpans.o rdpSetSpans.o \
rdpCopyPlane.o rdpPolyPoint.o rdpPolyArc.o rdpFillPolygon.o \
rdpPolyFillArc.o rdpPolyText8.o rdpPolyText16.o \
rdpImageText8.o rdpImageText16.o rdpImageGlyphBlt.o rdpPolyGlyphBlt.o \
rdpPushPixels.o rdpxv.o rdpglyph.o rdpComposite.o \
rdpkeyboard.o rdpkeyboardevdev.o rdpkeyboardbase.o \
miinitext.o \
fbcmap_mi.o

# in Xorg 7.1, fbcmap.c was used but now it looks like fbcmap_mi.c should
# be used
#fbcmap_mi.o
#fbcmap.o

LIBS = $(XSRCBASE)/dbe/.libs/libdbe.a \
	$(XSRCBASE)/dix/.libs/libdix.a \
	$(XSRCBASE)/dix/.libs/libmain.a \
	$(XSRCBASE)/fb/.libs/libfb.a \
	$(XSRCBASE)/mi/.libs/libmi.a \
	$(XSRCBASE)/os/.libs/libos.a \
	$(XSRCBASE)/randr/.libs/librandr.a \
	$(XSRCBASE)/record/.libs/librecord.a \
	$(XSRCBASE)/render/.libs/librender.a \
	$(XSRCBASE)/xkb/.libs/libxkb.a \
	$(XSRCBASE)/Xext/.libs/libXext.a \
	$(XSRCBASE)/Xi/.libs/libXi.a \
	$(XSRCBASE)/glx/.libs/libglx.a \
	$(XSRCBASE)/xfixes/.libs/libxfixes.a \
	$(XSRCBASE)/damageext/.libs/libdamageext.a \
	$(XSRCBASE)/miext/damage/.libs/libdamage.a \
	librdp.a

LLIBS = -Wl,-rpath=$(LIBBASE) -lfreetype -lz -lm -lXfont -lXau \
	-lXdmcp -lpixman-1 -lrt -ldl -lcrypto -lGL -lXdamage

CFLAGS = -g -O2 -Wall -fno-strength-reduce \
	-I../../include \
	-I../../cfb \
	-I../../mfb \
	-I../../mi \
	-I$(INCBASE) \
	-I$(INCBASE)/X11 \
	-I$(INCBASE)/X11/fonts \
	-I$(INCBASE)/X11/extensions \
	-I$(INCBASE)/xorg \
	-I$(INCBASE)/pixman-1 \
	-I../../os \
	-I../../render \
	-I../xfree86/common \
	-I../xfree86/os-support \
	-I../../../common \
	-D_POSIX_C_SOURCE=199309L -D_SVID_SOURCE -D_REENTRANT \
	-DGLX_USE_MESA -DXRECORD -D_GNU_SOURCE -DXAPPGROUP \
	-DTOGCUP -DSINGLEDEPTH -DXFree86Server \
	-DDBE -DEVI -DXVMC -DFONTCACHE -DGCCUSESGAS -DSTATIC_COLOR \
	-DAVOID_GLYPHBLT -DFUNCPROTO=15 -DNARROWPROTO -DDDXOSFATALERROR \
	-DPART_NET -DDDXTIME -D_HAVE_XALLOC_DECLS \
	-DDAMAGE \
	-DXFIXES \
	-DSMART_SCHEDULE -DSERVER_LOCK -DGLXEXT -DSHAPE -DRENDER -DRANDR \
	-DBIGREQS -D_POSIX_SOURCE -D_BSD_SOURCE -DSCREENSAVER \
	-DXCMISC -DXTEST -DXTRAP -DXV -DXSYNC -DMITMISC -DPANORAMIX \
	-DDPMSExtension -DXvExtension -DXvMCExtension -DXResExtension \
	-DMITSHM -DPIXPRIV -DNDEBUG -DDDXOSINIT -DXKB -DXINPUT

#-DDAMAGE

# -pedantic
# -DXCSECURITY -DXF86BIGFONT

# these are defined in xorg-server.h
# -D_XOPEN_SOURCE=500L
# -DX_BYTE_ORDER=X_LITTLE_ENDIAN
# -DSMART_SCHEDULE -DSERVER_LOCK -DGLXEXT -DSHAPE -DRENDER -DRANDR
# -DBIGREQS -D_POSIX_SOURCE -D_BSD_SOURCE -DSCREENSAVER -DXF86BIGFONT
# -DXCMISC -DXTEST -DXTRAP -DXV -DXSYNC -DMITMISC -DPANORAMIX
# -DDPMSExtension -DXvExtension -DXvMCExtension -DXResExtension
# -DMITSHM -DPIXPRIV -DNDEBUG -DDDXOSINIT

# these are not needed I think
# -Dlinux -D__i386__

LDFLAGS = -L$(LIBBASE) -Wl,-rpath,$(LIBBASE)

all: X11rdp

X11rdp: $(OBJS)
	$(AR) rvu librdp.a $(OBJS)
	ranlib librdp.a
	$(CC) $(LDFLAGS) -o X11rdp $(LIBS) $(LIBS) $(LLIBS)

clean:
	rm -f $(OBJS) librdp.a

miinitext.o: ../build_dir/xorg-server-1.9.3/mi/miinitext.c Makefile
	$(CC) $(CFLAGS) -I../build_dir/xorg-server-1.9.3/Xext -c ../build_dir/xorg-server-1.9.3/mi/miinitext.c

fbcmap.o: ../build_dir/xorg-server-1.9.3/fb/fbcmap.c
	$(CC) $(CFLAGS) -c ../build_dir/xorg-server-1.9.3/fb/fbcmap.c

fbcmap_mi.o: ../build_dir/xorg-server-1.9.3/fb/fbcmap_mi.c
	$(CC) $(CFLAGS) -c ../build_dir/xorg-server-1.9.3/fb/fbcmap_mi.c

install: all
	$(INSTALL) X11rdp $(X11RDPBASE)/bin/X11rdp

=== debian/changelog ===
xrdp (0.9.0~20160601+git703fedd-2) unstable; urgency=medium

  * Fix build on non-linux platforms (due to systemd dependency).

 -- Dominik George <nik@naturalnet.de>  Wed, 08 Jun 2016 11:42:36 +0200

xrdp (0.9.0~20160601+git703fedd-1) unstable; urgency=medium

  [ Dominik George, Thorsten Glaser ]
  * New upstream release.
    + Taken from git because there are no recent releases
    + DFSG-free upstream, no more need for Debian patches
    + Working x11rdp backend (native X server access)
    + librfxcodec (better bitmap handling)
    + Better input handling (keymapping, pointer events)
    + xrdp's default backend is now xorgxrdp instead of VNC. This
      makes it get rid of various VNC-related issues and use of VNC
      is discouraged.
      (Closes: #666731, #688083, #685130, #774447, #816098, #469215,
      #780053, #654788, #709595, #709594, #735678, #798643, #469754,
      #741160)
  * Some changes in default config:
    + xorgxrdp is now default
    + Hide files/mountpoints in users' homes using dotfiles and XDG cache dir
  * Add systemd support
  * Full license audit
  * Better integrated X session startup script
  * Change of maintainership (Closes: #719624)
  * Add reportbug note about VNC backend issues
  * Make sure to report on relevant backend packages in reportbug

  [ Andreas Tille ]
  * Add myself as Uploader
  * cme fix dpkg-control
  * cme fix dpkg-copyright
  * Refresh quilt patches
  * Build-Depends: libxrandr-dev
  * Fix minor issues in d/rules
  * Fix license of files in common/*
  * Remove unused lintian-overrides
  * Fix section of manpage xrdp-dis.1
  * Fix spelling issue
  * Remove RPATH

  [ Mike Gabriel ]
  * debian/copyright:
    + Add auto-genericated template for copyright file.
  * debian/copyright:
    + Various format fixes in Copyright: fields.
    + Place all license texts at EOF.
    + No blanks in short license tags.
    + Add upstream contact's name.
  * debian/control:
    * Add myself to Uploaders: field.

  * Upload sponsored and reviewed by Mike Gabriel.

 -- Dominik George <nik@naturalnet.de>  Fri, 03 Jun 2016 00:14:00 +0200

=== debian/control ===
Source: xrdp
Maintainer: Dominik George <nik@naturalnet.de>
Uploaders: Andreas Tille <tille@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
Section: net
Priority: optional
Build-Depends: debhelper (>= 9),
               autoconf (>= 2.59),
               automake (>= 1.6),
               dh-systemd (>= 1.5),
               libfuse-dev,
               libjpeg-dev,
               libopus-dev,
               libpam0g-dev,
               libssl-dev,
               libtool,
               libx11-dev,
               libxfixes-dev,
               libxrandr-dev,
               nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
               pkg-config,
               systemd [linux-any],
               xserver-xorg-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xrdp.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/xrdp.git
Homepage: http://xrdp.sourceforge.net

Package: xrdp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser
Recommends: xorgxrdp
Description: Remote Desktop Protocol (RDP) server
 xrdp offers a graphical login to a remote client using
 RDP (the Remote Desktop Protocol). xrdp can connect to
 a locally created X.org session with the xorgxrdp drivers,
 to a VNC X11 server, and forward to another RDP server.
 .
 xrdp accepts connections from freerdp, rdesktop, and the
 built-in terminal server / remote desktop clients of
 Microsoft Windows operating systems.
 In the xorgxrdp (which replaces X11RDP) and VNC modes,
 it provides a fully functional Linux terminal server,
 offering an X-Window desktop to the user. In the RDP
 or VNC forwarding mode, any sort of desktop can be used.

Package: xorgxrdp
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${xdriver:Depends}
Recommends: xorg
Provides: xorg-driver-input, xorg-driver-video
Description: Remote Desktop Protocol (RDP) modules for X.org
 xorgxrdp is a set of drivers (screen device, keyboard, and mouse)
 for X.org enabling use through an RDP session with xrdp. For full
 operation, most standard X11 fonts and tools need to be installed;
 the Recommended xorg metapackage is a superset of what’s actually
 needed but will do.

=== debian/watch ===
# nothing to watch out for

## xrdp 0.9.1~20161119+gite8308d5

=== debian/changelog ===
xrdp (0.9.1~20161119+gite8308d5-1) unstable; urgency=medium

  * New upstream commit picked.
    + Drop patches merged by upstream.
    + Drop some patches that had unnecessary diversions from upstream.
    + Update remaining patches.
    + Enables a test suite for xorgxrdp.
  * Update patch headers.
  * Move to Debian Remote Maintainers team.

 -- Dominik George <nik@naturalnet.de>  Tue, 22 Nov 2016 17:16:51 +0100

xrdp (0.9.0~20161027+gitc524b06-1) unstable; urgency=medium

  * New upstream version 0.9.0~20161027+gitc524b06.
  * Remove unnecessary dh-systemd dependency.
  * Depend on lsb-base.
  * Suggest guacamole.
  * Fix build with OpenSSL 1.1.0. (Closes: #828610)
  * Be more aggressive when creating /var/run directories.
     + Fixes upgrade path from 0.6.1. (Closes: #828868)
  * Move old, duplicate pam config to new name.
     + Fixes upgrade path from 0.6.1. (Closes: #836583)
  * Fix VCS URLs.

 -- Dominik George <nik@naturalnet.de>  Thu, 27 Oct 2016 22:53:12 +0200

xrdp (0.9.0~20161006+git132cc10-1) unstable; urgency=medium

  [ Dominik George ]
  * New upstream version 0.9.0~20161006+git132cc10
     - Improve many log messages.
     - Fixes for build on kfreebsd.
     - Fix typos and wording of docs and man pages.
     - Fixes to memory allocation and related things.
     - Fix in multi-monitor support in x11rdp.
     - Fix a segfault in x11rdp.
     - Better region rendring code with pixman.
     - Fix for issues with non-ASCII characters in clipboard.
     - Add advanced SSL options in xrdp.ini
       - Disable SSLv2 by default.
     - Some keyboard fixes in x11rdp.
       - Add en-gb keyboard mapping.
     - Fixes to socket handling.
  * Refresh quilt patches.
  * Refresh patches
  * Update copyright.
  * Move to team maintenance (Debian Edu Packaging Team).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Oct 2016 12:50:16 +0200

xrdp (0.9.0~20160601+git703fedd-3) unstable; urgency=medium

  * Properly handle conffile on upgrade (Closes: #826901)

 -- Dominik George <nik@naturalnet.de>  Fri, 10 Jun 2016 08:14:25 +0200

=== debian/control ===
Source: xrdp
Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
Uploaders:
 Dominik George <nik@naturalnet.de>,
 Andreas Tille <tille@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
Section: net
Priority: optional
Build-Depends:
 autoconf (>= 2.59),
 automake (>= 1.6),
 debhelper (>= 10),
 libfuse-dev,
 libjpeg-dev,
 libopus-dev,
 libpam0g-dev,
 libssl-dev,
 libtool,
 libx11-dev,
 libxfixes-dev,
 libxrandr-dev,
 nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
 openssl,
 pkg-config,
 systemd [linux-any],
 x11-utils,
 xserver-xorg-core,
 xserver-xorg-dev,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-edu/pkg-team/xrdp.git
Vcs-Git: https://anonscm.debian.org/git/debian-edu/pkg-team/xrdp.git
Homepage: http://xrdp.sourceforge.net

Package: xrdp
Architecture: any
Depends:
 adduser,
 lsb-base (>= 3.0-6),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 xorgxrdp,
Suggests:
 guacamole,
Description: Remote Desktop Protocol (RDP) server
 xrdp offers a graphical login to a remote client using
 RDP (the Remote Desktop Protocol). xrdp can connect to
 a locally created X.org session with the xorgxrdp drivers,
 to a VNC X11 server, and forward to another RDP server.
 .
 xrdp accepts connections from freerdp, rdesktop, and the
 built-in terminal server / remote desktop clients of
 Microsoft Windows operating systems.
 In the xorgxrdp (which replaces X11RDP) and VNC modes,
 it provides a fully functional Linux terminal server,
 offering an X-Window desktop to the user. In the RDP
 or VNC forwarding mode, any sort of desktop can be used.

Package: xorgxrdp
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${xdriver:Depends},
Recommends:
 xorg,
Provides:
 xorg-driver-input,
 xorg-driver-video,
Description: Remote Desktop Protocol (RDP) modules for X.org
 xorgxrdp is a set of drivers (screen device, keyboard, and mouse)
 for X.org enabling use through an RDP session with xrdp. For full
 operation, most standard X11 fonts and tools need to be installed;
 the Recommended xorg metapackage is a superset of what’s actually
 needed but will do.

=== debian/rules ===
#!/usr/bin/make -f

GIT ?= $(shell dpkg-parsechangelog -ldebian/changelog | perl -ne 'print $$1 if m{^Version:\s+[^+]+\+git([^-]+)};')
VER ?= $(shell dpkg-parsechangelog -ldebian/changelog | perl -ne 'print $$1 if m{^Version:\s+([^+]+\+git[^-]+)};')

LIBRFXCODEC_GIT ?= fb80d7d
XORGXRDP_GIT ?= 1ae1bb2

DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
DEB_BUILD_MAINT_OPTIONS=hardening=+all

DPKG_EXPORT_BUILDFLAGS:=1
include /usr/share/dpkg/default.mk

export PKG_CONFIG_PATH=${CURDIR}/pkgconfig

# this is precisely what dh_auto_configure does
CONFIGURE_ARGS:=	--build=${DEB_BUILD_GNU_TYPE} \
			--prefix=/usr \
			--includedir=\$${prefix}/include \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--sysconfdir=/etc \
			--localstatedir=/var \
			--disable-silent-rules \
			--libdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH} \
			--libexecdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH} \
			--disable-maintainer-mode \
			--disable-dependency-tracking

ifneq (${DEB_BUILD_GNU_TYPE},${DEB_HOST_GNU_TYPE})
CONFIGURE_ARGS+=	--host=${DEB_HOST_GNU_TYPE}
endif

ifeq (x32,${DEB_HOST_ARCH})
# autodetection fails on x32 (wrongly recognised as amd64)
CONFIGURE_ARGS+=	--without-simd
endif

%:
	dh $@ --with systemd

override_dh_auto_configure:
	./bootstrap
	cd xorgxrdp && ./bootstrap
	cd librfxcodec && ./bootstrap
	./configure ${CONFIGURE_ARGS} \
	    --enable-ipv6 \
	    --enable-jpeg \
	    --enable-fuse \
	    --enable-rfxcodec \
	    --enable-opus
	cd xorgxrdp && ./configure ${CONFIGURE_ARGS}
	cd librfxcodec && ./configure ${CONFIGURE_ARGS} \
	    --disable-shared \
	    --enable-static
	find . -name Makefile -print0 | \
	    xargs -0 perl -pi -e 's!XRDP_PID_PATH.*?/run!$$&/xrdp!g' --

override_dh_auto_install:
	dh_auto_install -v --destdir=debian/xrdp
	# remove unused/confusing files
	rm -f debian/xrdp/etc/xrdp/xrdp.sh
	rm -f debian/xrdp/etc/xrdp/startwm.sh
	rm -f debian/xrdp/etc/xrdp/rsakeys.ini
	rm -f debian/xrdp/usr/bin/rfxcodectest
	# Policy
	find debian/xrdp/ -name \*.la -print0 | xargs -0 rm -f --
	find debian/xrdp/usr/lib/ -name \*.a -print0 | \
	    xargs -0 strip --strip-debug -R .comment --
	# package split
	mkdir -p debian/xorgxrdp/etc debian/xorgxrdp/usr/lib
	mv debian/xrdp/etc/X11 debian/xorgxrdp/etc/
	mv debian/xrdp/usr/lib/xorg debian/xorgxrdp/usr/lib/

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade

override_dh_shlibdeps:
	# That's a plugin, use appropriate warning level:
	dh_shlibdeps -pxorgxrdp -- --warnings=6
	# Use default levels for everything else:
	dh_shlibdeps --remaining-packages

override_dh_gencontrol:
	echo >>debian/xorgxrdp.substvars "xdriver:Depends=$$( \
	    (cd /usr/share/xserver-xorg && cat videodrvdep xinputdep) | \
	    sed 's/, /\n/g' | sort -u | \
	    perl -0e 'print join(", ", split(/\n/, <>));')"
	dh_gencontrol

override_dh_clean:
	dh_clean
	chmod +x xorgxrdp/tests/xorg-test-run.sh

get-orig-source:
	sh -c '\
		mkdir -p debian/tmp/get-orig-source; \
		cd debian/tmp/get-orig-source; \
		wget https://github.com/neutrinolabs/xrdp/archive/${GIT}.tar.gz; \
		tar -xzf ${GIT}.tar.gz; \
		rm ${GIT}.tar.gz; \
		mv xrdp* xrdp-${VER}; \
		rmdir xrdp-${VER}/librfxcodec xrdp-${VER}/xorgxrdp; \
		wget https://github.com/neutrinolabs/librfxcodec/archive/${LIBRFXCODEC_GIT}.tar.gz; \
		tar -xzf ${LIBRFXCODEC_GIT}.tar.gz; \
		mv librfxcodec* xrdp-${VER}/librfxcodec; \
		rm ${LIBRFXCODEC_GIT}.tar.gz; \
		wget https://github.com/neutrinolabs/xorgxrdp/archive/${XORGXRDP_GIT}.tar.gz; \
		tar -xzf ${XORGXRDP_GIT}.tar.gz; \
		mv xorgxrdp* xrdp-${VER}/xorgxrdp; \
		rm ${XORGXRDP_GIT}.tar.gz; \
		rm -rf xrdp-${VER}/.git*; \
		tar -caf xrdp_${VER}.orig.tar.xz --owner=root --group=root --mode=a+rX xrdp-${VER}; \
		mv xrdp_${VER}.orig.tar.xz ../../../../; \
		cd ../../../; \
		rm -rf debian/tmp/; \
	'

## xrdp 0.9.1~2016121126+git5171fa7

=== debian/changelog ===
xrdp (0.9.1~2016121126+git5171fa7-1) unstable; urgency=medium

  * New upstream commit picked.
     + Disables privilege elevation in X server.
     + Fix CVE-2013-1430.
  * Add upstream metadata. (Closes: #847401)
  * Fix autorun on direct client login. (Closes: #846055)
  * Do not force X core pointer (-retro) anymore to allow efficient
    pointer usage over RDP.

 -- Dominik George <nik@naturalnet.de>  Sun, 11 Dec 2016 14:55:09 +0100

xrdp (0.9.1~20161126+git589b29f-2) unstable; urgency=medium

  * Remove X log redirection to /dev/null. (Closes: #846160)
  * Fix up config patch broken in previous upload. (Closes: #846055)

 -- Dominik George <nik@naturalnet.de>  Tue, 29 Nov 2016 12:59:21 +0100

xrdp (0.9.1~20161126+git589b29f-1) unstable; urgency=medium

  * New upstream commit picked.
     + Bug fix for some socket issues. (Closes: #832112)
     + Bug fix for machines without IPv6. (Closes: #839266, #843981)
  * Remove old four-nibble keymap conffiles. (Closes: #845701)
  * Move git to pkg-remote.
  * Update patches.

 -- Dominik George <nik@naturalnet.de>  Sat, 26 Nov 2016 12:52:19 +0100

=== debian/control ===
--- 
+++ 
@@ -27,8 +27,8 @@
  xserver-xorg-core,
  xserver-xorg-dev,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-edu/pkg-team/xrdp.git
-Vcs-Git: https://anonscm.debian.org/git/debian-edu/pkg-team/xrdp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-remote/packages/xrdp.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-remote/packages/xrdp.git
 Homepage: http://xrdp.sourceforge.net
 
 Package: xrdp

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 VER ?= $(shell dpkg-parsechangelog -ldebian/changelog | perl -ne 'print $$1 if m{^Version:\s+([^+]+\+git[^-]+)};')
 
 LIBRFXCODEC_GIT ?= fb80d7d
-XORGXRDP_GIT ?= 1ae1bb2
+XORGXRDP_GIT ?= 575c0aa
 
 DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 DEB_BUILD_MAINT_OPTIONS=hardening=+all
